/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit		      			   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/

#include "video_colors.h"


NGT_Colors::NGT_Colors(){
	initialize();	
}

void NGT_Colors::initialize(){
	SDL_Color dummycolor;
	
	//Black
    dummycolor.r=0;
    dummycolor.g=0;
    dummycolor.b=0;
    darkgrey=dummycolor;
    
    //White
    dummycolor.r=255;
    dummycolor.g=255;
    dummycolor.b=255;
    white=dummycolor;
     
    //Grey
    dummycolor.r=210;
    dummycolor.g=210;
    dummycolor.b=210;
    grey=dummycolor;
    
    //Dark Grey
    dummycolor.r=135;
    dummycolor.g=135;
    dummycolor.b=135;
    darkgrey=dummycolor;
    
    //Violet
    dummycolor.r=185;
    dummycolor.g=0;
    dummycolor.b=255;
    violet=dummycolor;
    
    //VioletBlue
    dummycolor.r=165;
    dummycolor.g=115;
    dummycolor.b=255;
    violetblue=dummycolor;
    
    //Yelloy
    dummycolor.r=255;
    dummycolor.g=255;
    dummycolor.b=0;
    yellow=dummycolor;
    
    //Dark Yelloy
    dummycolor.r=217;
    dummycolor.g=207;
    dummycolor.b=44;
    darkyellow=dummycolor;
    
    //Light Blue
    dummycolor.r=155;
    dummycolor.g=255;
    dummycolor.b=255;
    lightblue=dummycolor;
	
	
}



